package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description ApiLocationResultVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 15:09
 * @ClassName ApiLocationResultVO
 * @Remark
 */
public class ApiLocationResultVO {

    /**
     * 区位名字
     */
    private String locationName;
    /**
     * 区位编码
     */
    private String locationCode;
    /**
     * 最高温度要求
     */
    private String hTemp;
    /**
     * 最低温度要求
     */
    private String lTemp;
    /**
     * 最高湿度要求
     */
    private String hHum;
    /**
     * 最低湿度要求
     */
    private String lHum;
    /**
     * 区位下的监测点信息列表
     */
    private List<ApiPointResultVO> pointList;


    public String getLocationName() {
        return locationName;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String gethTemp() {
        return hTemp;
    }

    public void sethTemp(String hTemp) {
        this.hTemp = hTemp;
    }

    public String getlTemp() {
        return lTemp;
    }

    public void setlTemp(String lTemp) {
        this.lTemp = lTemp;
    }

    public String gethHum() {
        return hHum;
    }

    public void sethHum(String hHum) {
        this.hHum = hHum;
    }

    public String getlHum() {
        return lHum;
    }

    public void setlHum(String lHum) {
        this.lHum = lHum;
    }

    public List<ApiPointResultVO> getPointList() {
        return pointList;
    }

    public void setPointList(List<ApiPointResultVO> pointList) {
        this.pointList = pointList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("locationName", locationName)
                .add("locationCode", locationCode)
                .add("hTemp", hTemp)
                .add("lTemp", lTemp)
                .add("hHum", hHum)
                .add("lHum", lHum)
                .add("pointList", pointList)
                .toString();
    }
}
